#!/bin/python3

from Scrapper import Khinsider

x = Khinsider()

albums_to_download: [[object, str]] = []
keywords_search_list = [
    "Halo",
    "Melty Blood",
    "Pokemon"
]

x.generate_index()
for keyword in keywords_search_list:
    print(f">> Searching for keyword(s) '{keyword}'")
    for album in x.find_entry(keyword=keyword):
        albums_to_download.append([album,keyword])
        print(f">> Found album:\t{album.name}")
    print()

for album,keyword in albums_to_download:
    print(f"Downloading '{album.name}'")
    x.download_album(album, f"./tmp/{keyword}")
